Subject: [PATCH 0/6] mmc: sdhci-esdhci-imx: fix cd/wp regression

From: [email-masked] (Soeren Moch)
Date: Tue, 14 Jul 2015 07:25:09 +0200

On 13.07.2015 13:43, Dong Aisheng wrote:
> On Thu, Jul 09, 2015 at 09:27:36PM +0800, Shawn Guo wrote:
>> On Thu, Jul 09, 2015 at 05:29:50PM +0800, Dong Aisheng wrote:
>>> I agree with you.
>>> One difference is that i'd like to fix it ASAP without reverting 8d86e4f
>>> due to more patches depends on it is already there as i mentioned above..
>>> Revert it may need to revert a lot others.
>>>
>>> The pain is that v4.1 is left broken.
>>
>> Oh, crap!  I thought it's been there with only v4.2-rc1, and did not
>> know v4.1 is already broken.  In that case, reverting 8d86e4f isn't
>> the best option.  I suggest you rebase the dts series on top of
>> v4.2-rc1, and send it via mmc tree.
>>
> 
> Yes, will go that way.
> 
> Then you may need help take care of new dts going through your tree
> to make sure no broken code in again.

Dong,

I use a microSD card (mmc0) with the root filesystem on a tbs2910 board.
I cannot see any difference between linux-4.0 and linux-4.1 (vanilla
kernel with corresponding dtb), there is absolutely no problem with card
detect.

Can you please explain what exactly is broken in linux-4.1?

Thanks,
Soeren

> Thanks
> Regards
> Dong Aisheng
>> Shawn